This discussion is archived
0 Replies Latest reply: Dec 7, 2009 9:15 AM by 843802 RSS

deployJava.isPlugin2() does not work on a Mac

843802 Newbie
Currently Being Moderated
I am using an applet (I didn't write it - it's a commercial product) that is incompatible with the "Next-gen" plugin. I've been using deployJava.isPlugin2() to detect this on Windows, and prompt the user to uncheck the next-gen option in their Java control panel if htey want to proceed. No problems there.

Now, in the 1.6.0_17 update to java on the Mac, there's a similar setting (Run applets in "their own process" or "the borwser process"). Thankfully, the default is the more compatible one (browser process), but the applet does fail under "their own process" mode, just as next-gen does on Windows. The problem is, the isPlugin2() method always returns false on a Mac, no matter which plugin setting is used. FF and Safari both.

Is there an update to deployava.js, or a workaround for this that anyone can offer?

Thanks,
Larry